Service Principal Secret
List GA
GET
List all secrets associated with the given service principal. This operation only returns information about the secrets themselves and does not include the secret values.
API scopes: authentication
Parameters
- account_idstringpath
The account ID.
- service_principalstringpath
The service principal ID.
- page_tokenstringquery
An opaque page token which was the
next_page_tokenin the response of the previous request to list the secrets for this service principal. Provide this token to retrieve the next page of secret entries. When providing apage_token, all other parameters provided to the request must match the previous request. To list all of the secrets for a service principal, it is necessary to continue requesting pages of entries until the response contains nonext_page_token. Note that the number of entries returned must not be used to determine when the listing is complete.
- page_sizeint32query
Response
- secretsarray of object
List of the secrets
Show child attributesHide child attributes
- idstring
ID of the secret
- secretstring
Secret Value
- secret_hashstring
Secret Hash
- create_timestring
UTC time when the secret was created
- update_timestring
UTC time when the secret was updated
- statusstring
Status of the secret
- expire_timestring
UTC time when the secret will expire. If the field is not present, the secret does not expire.
- next_page_tokenstring
A token, which can be sent as
page_tokento retrieve the next page.
Create GA
POST
Create a secret for the given service principal.
API scopes: authentication
Parameters
- account_idstringpath
The account ID.
- service_principalstringpath
The service principal ID.
Request body
- lifetimestring
The lifetime of the secret in seconds. If this parameter is not provided, the secret will have a default lifetime of 730 days (63072000s).
Response
- idstring
ID of the secret
- secretstring
Secret Value
- secret_hashstring
Secret Hash
- create_timestring
UTC time when the secret was created
- update_timestring
UTC time when the secret was updated
- statusstring
Status of the secret
- expire_timestring
UTC time when the secret will expire. If the field is not present, the secret does not expire.
Delete GA
DELETE
Delete a secret from the given service principal.
API scopes: authentication
Parameters
- account_idstringpath
The account ID.
- service_principalstringpath
The service principal ID.
- secret_idstringpath
The secret ID.